Bug 99143 - gtk-doc-1.1-1.src.rpm needs docbook-style-xsl as prereq
gtk-doc-1.1-1.src.rpm needs docbook-style-xsl as prereq
Product: Red Hat Raw Hide
Classification: Retired
Component: gtk-doc (Show other bugs)
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2003-07-14 19:46 EDT by Ken MacFarlane
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-25 01:12:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken MacFarlane 2003-07-14 19:46:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1) Gecko/20030315

Description of problem:
rpmbuild --rebuild gtk-doc-1.1-1.src.rpm fails if docbook-style-xsl is not
installed.  Once installed, rpmbuild completes successfully.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rpm -e docbook-style-xsl
2. rpmbuild --rebuild gtk-doc-1.1-1.src.rpm


Actual Results:  checking for DocBook XML DTD V4.1.2 in XML catalog... found
checking for DocBook XSL Stylesheets in XML catalog... not found
configure: error: could not find DocBook XSL Stylesheets in XML catalog
error: Bad exit status from /var/tmp/rpm-tmp.61348 (%build)

Expected Results:  error: Failed build dependencies:
        docbook-style-xsl is needed by gtk-doc-1.1-1

Additional info:
Comment 1 Bill Nottingham 2003-07-25 01:12:16 EDT
Added, will be in next build.
Comment 2 Owen Taylor 2003-08-28 16:42:36 EDT
Actually, Requires: was needed for these packages as well ... the configure
script is checking to see if they are there to make sure they are there
when gtk-doc is used.

* Thu Aug 28 2003 Owen Taylor <otaylor@redhat.com> 1.1-3.0
- Move gtk-doc.pc file to %{_datadir}/pkgconfig (#98595)
- Require: /usr/bin/cmp (#88763, Thomas Vander Stichele)
- Added libxslt docbook-style-xsl to Require: and BuildPrereq
  (#99143, Ken MacFarlane)
Comment 3 sangu 2003-09-15 06:42:42 EDT
Is it right  "/usr/lib/pkgconfig" than "/usr/share/pkgconfig" ?
Comment 4 Owen Taylor 2003-09-15 07:58:09 EDT
Please be more explicit - I don't know what that last comment means.
(Is bug 98595 what you are talking about?)

Note You need to log in before you can comment on or make changes to this bug.